<?
if(isset($_GET['add']))
{
echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Добавить</h1></div>";
echo '<div class="content"><div class="block">';
if(isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png'){$err=1;err_game('Это не картинка');}
}
else {$err=1;err_game('Выберите картинку');}
$name=$_POST['name'];
if(strlen2($name)<1){$err=1;err_game('Слишком короткое название удобрения');}
$cena=intval($_POST['cena']);
$timee=intval($_POST['time']);
$rating=intval($_POST['rating']);
$level=intval($_POST['level']);
if(!is_numeric($level) || strlen2($level)<1){$err=1;err_game('Неверный уровень доступности');}
if(!is_numeric($cena) || strlen2($cena)<1){$err=1;err_game('Неверная цена');}
if(!is_numeric($timee) || strlen2($timee)<1){$err=1;err_game('Неверное времья ускорения роста');}
if(!is_numeric($rating) || strlen2($rating)<1){$err=1;err_game('Неверный опыт');}
$timee=60*$timee;
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
mysql_query("INSERT INTO `kolhoz_user` SET `rating` = '$rating', `money` = '$money', `level` = '$level',`time_drakon` = '$time_drakon''");
$id=mysql_insert_id();
move_uploaded_file($tmp, 
"images/soils/$id.png");
header("location: ?admin=$admin");
}
}
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "Название удобрения:<br /><input name=\"name\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "Цена:<br /><input name=\"cena\" type=\"text\" maxlength='32' value='0' /><br />\n";
echo "Опыт:<br /><input name=\"rating\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Времья ускорения роста(минут):<br /><input name=\"time\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Уровень доступности:<br /><input name=\"level\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Изображение удобрения(потом можно изменить):<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Добавить' type='submit' name='ok' /><br />\n";
echo "</form></div>\n";
include_once 'inc/foot.php';
exit;
}





if(isset($_GET['edit']) && intval($_GET['edit'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['edit'])."'"),0)!=0)
{
$edit=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '".intval($_GET['edit'])."'"));


if(isset($_GET['change_img']))
{
echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Заменить изображение</h1></div>";
echo '<div class="content"><div class="block">';
if(isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png'){$err=1;err_game('Это не картинка');}
}
else {$err=1;err_game('Выберите картинку');}
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
unlink("images/soils/$edit[id].png");
move_uploaded_file($tmp, 
"images/soils/$edit[id].png");
header("Location:?admin=$admin&edit=$edit[id]");
}
}
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "Изображение удобрения:<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form><br />\n";
echo "</div>";
include_once 'inc/foot.php';
exit;
}
echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Редактировать</h1></div>";
echo '<div class="content"><div class="block">';


if(isset($_POST['ok']))
{
$nick=$_POST['nick'];
if(strlen2($nick)<1){$err=1;err_game('Неверный ник');}

$stat=$_POST['stat'];
if(strlen2($stat)<1){$err=1;err_game('Неверный ник');}

$expdouble=$_POST['expdouble'];
if(strlen2($expdouble)<1){$err=1;err_game('Ошибка в двойном опыте');}
$id=intval($_POST['id']);
$money=intval($_POST['money']);
$rating=intval($_POST['rating']);
$rubies=intval($_POST['rubies']);
$cook_mas=intval($_POST['cook_mas']);
$level=intval($_POST['level']);
$dostig=intval($_POST['dostig']);
$tehnika=intval($_POST['tehnika']);
$time=intval($_POST['time']);
$flowerbed=intval($_POST['flowerbed']);
$cultivator=intval($_POST['cultivator']);
$seeder=intval($_POST['seeder']);
$harvester=intval($_POST['harvester']);
$irregate=intval($_POST['irregate']);
$soiler=intval($_POST['soiler']);
$conveyor=intval($_POST['conveyor']);
$fooder=intval($_POST['fooder']);
$sponder=intval($_POST['sponder']);
$catchfish=intval($_POST['catchfish']);
$cultivator2=intval($_POST['cultivator2']);
$seeder2=intval($_POST['seeder2']);
$harvester2=intval($_POST['harvester2']);
$zvezda=intval($_POST['zvezda']);


if(!is_numeric($money) || strlen2($money)<1){$err=1;err_game('Неверное к-во монет');}
if(!is_numeric($rating) || strlen2($rating)<1){$err=1;err_game('Неверный опыт');}
if(!is_numeric($rubies) || strlen2($rubies)<1){$err=1;err_game('Неверное к-во рубинов');}
if(!is_numeric($cook_mas) || strlen2($cook_mas)<1){$err=1;err_game('Неверный кулинарное мастерство');}
if(!is_numeric($level) || strlen2($level)<1){$err=1;err_game('Неверный уровень');}
if(!is_numeric($dostig) || strlen2($dostig)<1){$err=1;err_game('Неверное к-во очков достижений');}
if(!is_numeric($tehnika) || strlen2($tehnika)<1){$err=1;err_game('Неверный ур. техники');}
if(!is_numeric($time) || strlen2($time)<1){$err=1;err_game('Неверное игровое время');}
if(!is_numeric($flowerbed) || strlen2($flowerbed)<1){$err=1;err_game('Неверный ур. клумбы');}
if(!is_numeric($cultivator) || strlen2($cultivator)<1){$err=1;err_game('Неверный ур. культыватора');}
if(!is_numeric($seeder) || strlen2($seeder)<1){$err=1;err_game('Неверный ур. сеялки');}
if(!is_numeric($harvester) || strlen2($harvester)<1){$err=1;err_game('Неверный ур. комбайна');}
if(!is_numeric($irregate) || strlen2($irregate)<1){$err=1;err_game('Неверный ур. опоросителя');}
if(!is_numeric($soiler) || strlen2($soiler)<1){$err=1;err_game('Неверный ур. удобрителя');}
if(!is_numeric($conveyor) || strlen2($conveyor)<1){$err=1;err_game('Неверный ур. конвеера');}
if(!is_numeric($fooder) || strlen2($fooder)<1){$err=1;err_game('Неверный ур. кормушки');}
if(!is_numeric($sponder) || strlen2($sponder)<1){$err=1;err_game('Неверный ур. пруд фильтра');}
if(!is_numeric($catchfish) || strlen2($catchfish)<1){$err=1;err_game('Неверный рыбоуловителя');}
if(!is_numeric($cultivator2) || strlen2($cultivator2)<1){$err=1;err_game('Неверный ур. пылесборщика');}
if(!is_numeric($seeder2) || strlen2($seeder2)<1){$err=1;err_game('Неверный ур. заготовщика');}
if(!is_numeric($harvester2) || strlen2($harvester2)<1){$err=1;err_game('Неверный ур. погрузчика');}
if(!is_numeric($zvezda) || strlen2($zvezda)<1){$err=1;err_game('Неверный');}



if (!isset($err))
{
mysql_query("UPDATE `kolhoz_user` SET `nick` = '$nick', `money` = '$money', `zvezda` = '$zvezda', `rating` = '$rating', `rubies` = '$rubies', `level` = '$level', `cook_mas` = '$cook_mas', `dostig` = '$dostig', `stat` = '$stat', `tehnika` = '$tehnika', `time` = '$time', `flowerbed` = '$flowerbed', `cultivator` = '$cultivator', `seeder` = '$seeder', `harvester` = '$harvester', `irregate` = '$irregate', `soiler` = '$soiler', `conveyor` = '$conveyor', `fooder` = '$fooder', `sponder` = '$sponder', `catchfish` = '$catchfish', `cultivator2` = '$cultivator2', `seeder2` = '$seeder2', `harvester2` = '$harvester2', `expdouble` = '$expdouble' WHERE `id` = '$edit[id]'");
header("Location:?admin=$admin");
}
}
echo "<ul>";
echo "<li style='padding-bottom:8px'>";
echo "<div class='small'>";
echo "</div></ul><div style='clear:both'></div>";
echo "<form method=\"post\">\n";
echo "Статус:<br /><input name=\"stat\" type=\"text\" maxlength='100' value='$edit[stat]' /><br />\n";
echo "Игровой ник:<br /><input name=\"nick\" type=\"text\" maxlength='32' value='$edit[nick]' /><br />\n";
echo "Монеты:<br /><input name=\"money\" type=\"text\" maxlength='32' value='$edit[money]' /><br />\n";
echo "Звезда:<br /><input name=\"zvezda\" type=\"text\" maxlength='32' value='$edit[zvezda]' /><br />\n";
echo "Опыт:<br /><input name=\"rating\" type=\"text\" maxlength='32' value='$edit[rating]' /><br />\n";
echo "Рубины:<br /><input name=\"rubies\" type=\"text\" maxlength='32' value='$edit[rubies]'/><br />\n";
echo "Кулинарное мастерство:<br /><input name=\"cook_mas\" type=\"text\" maxlength='32' value='$edit[cook_mas]'/><br />\n";
echo "Уровень:<br /><input name=\"level\" type=\"text\" maxlength='32' value='$edit[level]'/><br />\n";
echo "Достижения:<br /><input name=\"dostig\" type=\"text\" maxlength='32' value='$edit[dostig]' /><br />\n";
echo "Уровень техники:<br /><input name=\"tehnika\" type=\"text\" maxlength='32' value='$edit[tehnika]' /><br />\n";
echo "Игровое время (сек):<br /><input name=\"time\" type=\"text\" maxlength='32' value='$edit[time]' /><br />\n";
echo "Клумба:<br /><input name=\"flowerbed\" type=\"text\" maxlength='32' value='$edit[flowerbed]' /><br />\n";
echo "Культиватор:<br /><input name=\"cultivator\" type=\"text\" maxlength='32' value='$edit[cultivator]' /><br />\n";
echo "Сеялка:<br /><input name=\"seeder\" type=\"text\" maxlength='32' value='$edit[seeder]' /><br />\n";
echo "Комбайн:<br /><input name=\"harvester\" type=\"text\" maxlength='32' value='$edit[harvester]' /><br />\n";
echo "Ороситель:<br /><input name=\"irregate\" type=\"text\" maxlength='32' value='$edit[irregate]' /><br />\n";
echo "Удобритель:<br /><input name=\"soiler\" type=\"text\" maxlength='32' value='$edit[soiler]' /><br />\n";
echo "Конвейер:<br /><input name=\"conveyor\" type=\"text\" maxlength='32' value='$edit[conveyor]' /><br />\n";
echo "Кормушка:<br /><input name=\"fooder\" type=\"text\" maxlength='32' value='$edit[fooder]' /><br />\n";
echo "Пруд-фильтр:<br /><input name=\"sponder\" type=\"text\" maxlength='32' value='$edit[sponder]' /><br />\n";
echo "Рыбоуловитель:<br /><input name=\"catchfish\" type=\"text\" maxlength='32' value='$edit[catchfish]' /><br />\n";
echo "Пылосборщик:<br /><input name=\"cultivator2\" type=\"text\" maxlength='32' value='$edit[cultivator2]' /><br />\n";
echo "Заготовщик:<br /><input name=\"seeder2\" type=\"text\" maxlength='32' value='$edit[seeder2]' /><br />\n";
echo "Погрущик:<br /><input name=\"harvester2\" type=\"text\" maxlength='32' value='$edit[harvester2]' /><br />\n";
echo "Двойной опыт:<br /><input name=\"expdouble\" type=\"text\" maxlength='32' value='$edit[expdouble]' /><br />\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form>\n";
echo "<div><br/>&raquo; <a href='?admin=$admin&del=$edit[id]'>Удалить</a></div>";
echo "</div>";
include_once 'inc/foot.php';
exit;
}



if(isset($_GET['del']) && intval($_GET['del'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['del'])."'"),0)!=0)
{
$del=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '".intval($_GET['del'])."'"));
if(isset($_GET['ok']))
{
mysql_query("DELETE FROM `kolhoz_user` WHERE `id` = '$del[id]'");
header("Location:?admin=$admin");
}
podtv("?admin=$admin&del=$del[id]&ok","?admin=$admin");
include_once 'inc/foot.php';
}
if(isset($_GET['userdel']))
{
mysql_query("DELETE FROM `kolhoz_user` WHERE `nick` = 'Незнакомец'");
msg_game("Игроки Незнакомец удалены");
}

echo "<div class='event'><h1><a href='?admin=list'>Админка</a> / $admin_name</h1></div>";
echo '<div class="content">';


$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user`"),0);
if ($k_post==0)
{
echo "Список пользователей пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `kolhoz_user` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
echo "<ul>";
while($post=mysql_fetch_array($q))
{
echo "<li style='padding-bottom:8px'>";
  echo "".on_k($post['id'])."";  echo "<span><a href= '?admin=$admin&edit=$post[id]'>".hsc($post['nick'])."</a></span><span class='minor'>, </span><span><img width='16' height='16' src='images/icons/money.png' alt='o'><span class='title'>".rating($post['money'])."</span>, <img width='16' height='16' src='images/icons/ruby.png' alt='o'><span class='title'>".rating($post['rubies'])."</span></span></div><div style='clear:both'></li>";
}
if ($k_page>1)str("?admin=$admin&",$k_page,$page); // Вывод страниц

echo "<li class='pt'><small><div><img alt='' width='16' height='16' src='images/icons/tick.png'> <a href='?admin=users&userdel'>Удалить пользователей с ником: Незнакомец</a></div></small></li>";
echo "</ul></div>";
include_once 'inc/foot.php';
?>